Bug 247972 (CVE-2007-3382) - CVE-2007-3382 tomcat handling of cookies
Summary: CVE-2007-3382 tomcat handling of cookies
Status: CLOSED ERRATA
Alias: CVE-2007-3382
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,source=asf,reported=200707...
Keywords: Security
Depends On: 254158 254150 254151 254152 254153 254154 254155 254156 254157 254159 282091 366551 390331 390341 390351 390361 430730 430731 449337 470236 470237
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-07-12 13:36 UTC by Mark J. Cox
Modified: 2010-08-04 21:33 UTC (History)
1 user (show)

Fixed In Version: 5.5.25-1jpp.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 05:34:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
additional patch (also needs svn commit) (1.23 KB, patch)
2007-07-12 13:36 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0871 normal SHIPPED_LIVE Moderate: tomcat security update 2007-09-26 08:27:36 UTC
Red Hat Product Errata RHSA-2007:0876 normal SHIPPED_LIVE Moderate: tomcat security update 2007-10-11 18:21:55 UTC
Red Hat Product Errata RHSA-2007:0950 normal SHIPPED_LIVE Moderate: JBoss Enterprise Application Platform security update 2007-11-05 14:41:28 UTC
Red Hat Product Errata RHSA-2007:1069 normal SHIPPED_LIVE Moderate: tomcat security update for Red Hat Network Satellite Server 2007-11-26 13:56:32 UTC
Red Hat Product Errata RHSA-2008:0195 normal SHIPPED_LIVE Moderate: tomcat security update 2008-04-28 09:16:00 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-07-12 13:36:47 UTC
CERT reported to security@tomcat a flaw handling cookies containing a '
character.  Tomcat currently treats it as a delimeter.  This may well not be a
security issue in itself.

TC 6.0: http://svn.apache.org/viewvc?view=rev&rev=553218
TC 5.5: Affected.
TC 5.0: Affected. (Use $Version=1).
TC 4.1: Like 5.0

additional patch also needed, attached

Issue not yet public

Comment 1 Mark J. Cox 2007-07-12 13:36:47 UTC
Created attachment 159049 [details]
additional patch (also needs svn commit)

Comment 2 Mark J. Cox 2007-08-14 10:37:03 UTC
removing embargo, now public at http://tomcat.apache.org/security-4.html


Comment 10 Fedora Update System 2007-11-17 05:34:47 UTC
tomcat5-5.5.25-1jpp.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2007-11-17 05:37:39 UTC
tomcat5-5.5.25-1jpp.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2010-08-04 21:33:07 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.